package com.prolog.cs.biz.outbound.dao;

import com.prolog.cs.biz.outbound.model.entity.WaveBillDDO;
import com.prolog.cs.biz.outbound.model.vo.check.BillAndItemVO;
import com.prolog.framework.dao.mapper.BaseMapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;

@Repository
public interface WaveBillDMapper extends BaseMapper<WaveBillDDO> {
    long deleteByWaveId(@Param("waveId") String waveId);

    List<BillAndItemVO> getBillItemInfo(@Param("itemCode") String itemCode,
                                        @Param("billGroupId") String billGroupId,
                                        @Param("billDId")  String billDId);

    boolean needDoubleCheck(@Param("itemCode") String itemCode);
    List<WaveBillDDO> getBillDForRedCheck(@Param("billGroupID") String billGroupID,
                                          @Param("itemCode") String itemCode,
                                          @Param("qty") BigDecimal qty);

    List<WaveBillDDO> getByBillPickComplete(@Param("billno")  String billno);

    List<WaveBillDDO> findbyBarcode(@Param("barcode")  String barcode);

}
